SSIExternalResolver (Tomcat API Documentation)
Keywords: org.apache.catalina.ssi.SSIExternalResolver interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.ssi
Interface SSIExternalResolver

All Known Implementing Classes:
  SSIServletExternalResolver

    public interface SSIExternalResolver

Interface used by SSIMediator to talk to the 'outside world' ( usually a servlet )

Version:
  $Revision: 531303 $, $Date: 2007-04-23 02:24:01 +0200 (Mon, 23 Apr 2007) $
Author:
  Dan Sandberg

Method Summary
`void` | `addVariableNames(java.util.Collection variableNames)` Adds any external variables to the variableNames collection.
`java.util.Date` | `getCurrentDate()` Returns the current date.
`long` | `getFileLastModified(java.lang.String path, boolean virtual)`
`long` | `getFileSize(java.lang.String path, boolean virtual)`
`java.lang.String` | `getFileText(java.lang.String path, boolean virtual)`
`java.lang.String` | `getVariableValue(java.lang.String name)`
`void` | `log(java.lang.String message, java.lang.Throwable throwable)`
`void` | `setVariableValue(java.lang.String name, java.lang.String value)` Set the named variable to the specified value.

Method Detail

### addVariableNames

    void addVariableNames(java.util.Collection variableNames)

  Adds any external variables to the variableNames collection.

  Parameters:
    `variableNames` - the collection to add to

### getVariableValue

    java.lang.String getVariableValue(java.lang.String name)

### setVariableValue

    void setVariableValue(java.lang.String name,
                          java.lang.String value)

  Set the named variable to the specified value. If value is null, then the variable will be removed ( ie. a call to getVariableValue will return null )

  Parameters:
    `name` - of the variable
    `value` - of the variable

### getCurrentDate

    java.util.Date getCurrentDate()

  Returns the current date. This is useful for putting the SSI stuff in a regression test. Since you can make the current date a constant, it makes testing easier since the output won't change.

  Returns:
    the data

### getFileSize

    long getFileSize(java.lang.String path,
                     boolean virtual)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### getFileLastModified

    long getFileLastModified(java.lang.String path,
                             boolean virtual)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### getFileText

    java.lang.String getFileText(java.lang.String path,
                                 boolean virtual)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### log

    void log(java.lang.String message,
             java.lang.Throwable throwable)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.